package a.i.b.a.c.e;

import a.i.b.a.c.g.j.a;
import a.i.b.a.c.g.j.b;
import com.tencent.matrix.trace.core.AppMethodBeat;

public enum a$aa$a$b implements a {
    IN(0),
    OUT(1),
    INV(2),
    STAR(3);
    
    private static b<a$aa$a$b> Btk;
    final int value;

    static {
        Btk = new 1();
        AppMethodBeat.o(120843);
    }

    public final int edd() {
        return this.value;
    }

    public static a$aa$a$b TD(int i) {
        switch (i) {
            case 0:
                return IN;
            case 1:
                return OUT;
            case 2:
                return INV;
            case 3:
                return STAR;
            default:
                return null;
        }
    }

    private a$aa$a$b(int i) {
        this.value = i;
    }
}
